// Coselica Toolbox for Scicoslab
// Copyright (C) 2009-2013  Dirk Reusch, Kybernetik Dr. Reusch
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

function [] = _CEAI_IdealIntermedia_dp( o )
  [orig,sz,orient]=(o.graphics.orig,o.graphics.sz,o.graphics.flip);
  if orient then
    _MEAI_PositivePin_pt(orig + sz.*([-0.05,0.7]),[4,4],%t);
    _MEAI_PositivePin_pt(orig + sz.*([-0.05,0.45]),[4,4],%t);
    _MEAI_NegativePin_pt(orig + sz.*([0.95,0.7]),[4,4],%t);
    _MEAI_NegativePin_pt(orig + sz.*([0.95,0.45]),[4,4],%t);
    o_size=size(gh_curwin.children.children);
    _MBI_RealInput_pt(orig + sz.*([0.4,0.9]),[8,8],%t);
    p_size=size(gh_curwin.children.children);
    glue(gh_curwin.children.children(1:1:(p_size(1)-o_size(1))));
    rotate_compound(orig(1)+sz(1)*(0.4),orig(2)+sz(2)*(0.9)+8,8,8,1,-90);
    unglue(gh_curwin.children.children(1));
  else
    _MEAI_PositivePin_pt(orig + sz.*([0.95,0.7]),[4,4],%f);
    _MEAI_PositivePin_pt(orig + sz.*([0.95,0.45]),[4,4],%f);
    _MEAI_NegativePin_pt(orig + sz.*([-0.05,0.7]),[4,4],%f);
    _MEAI_NegativePin_pt(orig + sz.*([-0.05,0.45]),[4,4],%f);
    o_size=size(gh_curwin.children.children);
    _MBI_RealInput_pt(orig + sz.*([0.4,0.9]),[8,8],%f);
    p_size=size(gh_curwin.children.children);
    glue(gh_curwin.children.children(1:1:(p_size(1)-o_size(1))));
    rotate_compound(orig(1)+sz(1)*(0.4),orig(2)+sz(2)*(0.9)+8,8,8,1,90);
    unglue(gh_curwin.children.children(1));
  end
endfunction
